<app-navigation [mainContent]="mainTemplate"></app-navigation>

<ng-template #mainTemplate class="profile-container" style="font-size: 21px">
  <div *ngIf="user.montant_en_attente_a_payer != 0 && user.montant_en_attente_a_payer != null" style="font-weight: bold; color: red; text-align: center"><mat-icon class="material-icons-outlined" style="cursor: pointer; padding: 5px; margin: 5px; color: white; background-color: red">report_problem</mat-icon> Tu as des dettes en attente, vérifie tes mails stp. <mat-icon class="material-icons-outlined" style="cursor: pointer; padding: 5px; margin: 5px; color: white; background-color: red">report_problem</mat-icon></div>
  <form class="formAchat" [formGroup]="profilForm">
    <div style="margin-top: 5px; text-align: center; font-size: 200%; font-weight: bold">MON PROFIL</div>
    <div style="color:red; font-weight: bold; text-align: center; margin-bottom: 10px; margin-top: 10px;">Dates du séjour : du 23/07/2022 au 06/08/2022.</div>

    <div class="form__container">
      <span class="form__libelle">Blaze</span>
      <input type="input" class="form__field" formControlName="nom" name="nom" value="{{user.nom}}" required />
      <mat-divider></mat-divider>
    </div>
    <div class="form__container">
      <span class="form__libelle">Email</span>
      <input type="email" class="form__field" formControlName="email" email="true" name="email" value="{{user.email}}" required />
      <mat-divider></mat-divider>
    </div>
    <div class="form__container">
      <span class="form__libelle">Téléphone</span>
      <input type="input" class="form__field" formControlName="telephone" name="telephone" value="{{user.telephone}}" required />
      <mat-divider></mat-divider>
    </div>
    <div class="form__container">
      <span class="form__libelle">J'arrive le</span>
      <mat-select (selectionChange)="onEditionArriveeDate()" class="form__field" formControlName="arrivee_date" name="arrivee_date" value="{{user.arrivee_date}}">
        <mat-option *ngFor="let date of dates_aller" [value]="date">
          {{date}}
        </mat-option>
      </mat-select>
      <mat-divider></mat-divider>
    </div>
    <div class="form__container">
      <span class="form__libelle">Nombre de jours où je viens</span>
      <mat-select (selectionChange)="onEditionNbJours($event)" class="form__field" formControlName="nb_jours" name="nb_jours" value="{{user.nb_jours}}" required>
<!--        <mat-option *ngFor="let jour of nb_jours_nuits" [value]="jour.nb_jours">{{jour.nb_jours * 1}} <span *ngIf="jour.nb_jours != jour.nb_nuits"> - {{jour.nb_nuits * 1}} nuit(s)</span></mat-option>-->
        <ng-container *ngFor="let jour of nb_jours_nuits">
          <mat-option *ngIf="checkNbJours(jour.nb_nuits) == true" [value]="jour.nb_jours">{{jour.nb_jours * 1}} <span *ngIf="jour.nb_jours != jour.nb_nuits"> - {{jour.nb_nuits * 1}} nuit(s)</span></mat-option>
        </ng-container>
      </mat-select>
      <mat-divider></mat-divider>
    </div>
    <div class="form__container" *ngIf="nb_jours <= nb_jours_une_semaine && checkDisplaySemaine()">
      <span class="form__libelle">Semaine où je viens:</span>
      <span class="form__field">{{semaine == 1 ? 'Première' : ''}}{{semaine == 2 ? 'Deuxième' : ''}}</span>
      <mat-divider></mat-divider>
    </div>

    <div class="form__container">
      <span class="form__libelle">Je bois de l'alcool (hors bières)</span>
      <mat-radio-group class="form__field" formControlName="alcool" aria-label="Select an option">
        <mat-radio-button value="1">Oui (même un peu)</mat-radio-button>
        <mat-radio-button style="margin-left: 10px" value="0">Non pas du tout</mat-radio-button>
      </mat-radio-group>
      <mat-divider></mat-divider>
    </div>

    <div class="form__container">
      <span class="form__libelle">Je suis végétarien</span>
      <mat-radio-group class="form__field" formControlName="vegetarien" aria-label="Select an option">
        <mat-radio-button value="1">Oui</mat-radio-button>
        <mat-radio-button style="margin-left: 10px" value="0">Non</mat-radio-button>
      </mat-radio-group>
      <mat-divider></mat-divider>
    </div>
    <div class="form__container">
      <span class="form__libelle">J'aurai le pass vaccinal</span>
      <mat-radio-group class="form__field" formControlName="pass_sanitaire" aria-label="Select an option">
        <mat-radio-button value="1">Oui</mat-radio-button>
        <mat-radio-button style="margin-left: 10px" value="0">Non</mat-radio-button>
      </mat-radio-group>
      <mat-divider></mat-divider>
    </div>
  </form>


  <form class="formAchat" [formGroup]="allerForm">
    <div style="font-size: 150%; text-align: center; font-weight: bold; margin-bottom: 5px; margin-top: 20px">Trajet aller</div>
    <mat-divider></mat-divider>
    <div class="form__container">
      <span class="form__libelle">J'arrive de</span>
      <mat-select (selectionChange)="onEditionArrivee($event)" class="form__field" formControlName="arrivee_lieu" name="arrivee_lieu" value="{{user.arrivee_lieu}}">
        <mat-option *ngFor="let lieu of lieux" [value]="lieu.libelle">
          {{lieu.libelle}}
        </mat-option>
        <mat-option value="other">
          <mat-icon>add</mat-icon> Ajouter un lieu
        </mat-option>
      </mat-select>
      <mat-divider></mat-divider>
    </div>

    <div class="form__container" *ngIf="lieu_arrivee_initial != lieu_arrivee && lieu_arrivee_initial != null && lieu_arrivee_initial != ''">
      <span class="form__libelle">(Sur le chemin de)</span>
      <span class="form__field">{{lieu_arrivee_initial}}</span>
      <mat-divider></mat-divider>
    </div>
    <div class="form__container">
      <span class="form__libelle">J'arrive le</span>
      <span class="form__field">{{arrivee_date}}</span>
      <mat-divider></mat-divider>
    </div>
    <div class="form__container">
      <span class="form__libelle">Je laisse l'application gérer mon covoit aller</span>
      <mat-radio-group *ngIf="lieu_arrivee_initial != 'Aix-Marseille' else ouiAller" class="form__field" formControlName="participation_covoit_aller" value="{{user.participation_covoit_aller}}" name="participation_covoit_aller" aria-label="Select an option">
        <mat-radio-button  value="1">Oui</mat-radio-button>
        <mat-radio-button style="margin-left: 10px" value="0">Non</mat-radio-button>
      </mat-radio-group>
      <ng-template #ouiAller>
        <span class="form__field">Oui</span>
      </ng-template>
      <mat-divider></mat-divider>
    </div>
    <div class="form__container">
      <span class="form__libelle">Commentaire sur le trajet aller</span>
      <input type="input" class="form__field" formControlName="commentaire_aller" name="commentaire_aller" value="{{user.commentaire_aller}}" />
    </div>

  </form>
  <form class="formAchat" [formGroup]="retourForm">
    <div style="font-size: 150%; text-align: center; font-weight: bold; margin-bottom: 5px; margin-top: 20px">Trajet retour</div>
    <mat-divider></mat-divider>
    <div class="form__container">
      <span class="form__libelle">Je rentre à</span>
      <mat-select (selectionChange)="onEditionDepart($event)" class="form__field" formControlName="depart_lieu" name="depart_lieu" value="{{user.depart_lieu}}" >
        <mat-option *ngFor="let lieu of lieux" [value]="lieu.libelle">
          {{lieu.libelle}}
        </mat-option>
        <mat-option value="other">
          <mat-icon>add</mat-icon> Ajouter un lieu
        </mat-option>
      </mat-select>
      <mat-divider></mat-divider>
    </div>

    <div class="form__container" *ngIf="lieu_depart_initial != lieu_depart && lieu_depart_initial != null && lieu_depart_initial != ''">
      <span class="form__libelle">(Sur le chemin de)</span>
      <span class="form__field">{{lieu_depart_initial}}</span>
      <mat-divider></mat-divider>
    </div>
    <div class="form__container">
      <span class="form__libelle">Je rentre le</span>
      <span class="form__field">{{user.depart_date}}</span>
      <mat-divider></mat-divider>
    </div>
    <div class="form__container">
      <span class="form__libelle">Je laisse l'application gérer mon covoit retour</span>
      <mat-radio-group *ngIf="lieu_depart_initial != 'Aix-Marseille'; else ouiRetour" class="form__field" value="{{user.participation_covoit_retour}}" formControlName="participation_covoit_retour" name="participation_covoit_retour" aria-label="Select an option">
        <mat-radio-button  value="1">Oui</mat-radio-button>
        <mat-radio-button style="margin-left: 10px" value="0">Non</mat-radio-button>
      </mat-radio-group>
      <ng-template #ouiRetour>
        <span class="form__field">Oui</span>
      </ng-template>
      <mat-divider></mat-divider>
    </div>
    <div class="form__container">
      <span class="form__libelle">Commentaire sur le trajet retour</span>
      <input type="input" class="form__field" formControlName="commentaire_retour" name="commentaire_retour" value="{{user.commentaire_retour}}" />
    </div>

  </form>
  <form class="formAchat" [formGroup]="conducteurForm">
    <div style="font-size: 150%; text-align: center; font-weight: bold; margin-bottom: 5px; margin-top: 20px">Ma voiture</div>

    <div class="form__container">
      <span class="form__libelle">Je suis conducteur</span>
      <mat-radio-group class="form__field" (change)="conducteur = conducteurForm.get('conducteur').value" formControlName="conducteur" name="conducteur" aria-label="Select an option">
        <mat-radio-button  value="1">Oui</mat-radio-button>
        <mat-radio-button style="margin-left: 10px" value="0">Non</mat-radio-button>
      </mat-radio-group>
      <mat-divider></mat-divider>
    </div>

    <div *ngIf="conducteur == 1">
      <div style="font-weight: bold; color: red; text-align: center; margin: 30px 0">Merci de rensiegner tes kilométrages les jours d'arrivée et de départ stp.</div>
      <div class="form__container">
        <span class="form__libelle">Nombre de places dans ma voiture</span>
        <input type="number" class="form__field" formControlName="nb_places" name="nb_places" value="{{user.nb_places}}" />
        <mat-divider></mat-divider>
      </div>
      <div class="form__container">
        <span class="form__libelle">Nombre de places en prenant en compte les bagages</span>
        <input type="number" class="form__field" formControlName="nb_places_covoit" name="nb_places_covoit" value="{{user.nb_places_covoit}}" />
        <mat-divider></mat-divider>
      </div>
      <div class="form__container">
        <span class="form__libelle">Kilométrage avant covoit</span>
        <input type="number" class="form__field" formControlName="km1" name="km1" value="{{user.km1}}" />
        <mat-divider></mat-divider>
      </div>
      <div class="form__container">
        <span class="form__libelle">Péage aller (€)</span>
        <input type="number" class="form__field" formControlName="peage_aller" name="peage_aller" value="{{user.peage_aller}}" />
        <mat-divider></mat-divider>
      </div>
      <div class="form__container">
        <span class="form__libelle">Kilométrage en arrivant au chalet</span>
        <input type="number" class="form__field" formControlName="km2" name="km2" value="{{user.km2}}" />
        <mat-divider></mat-divider>
      </div>
      <div class="form__container">
        <span class="form__libelle">Kilométrage en repartant du chalet</span>
        <input type="number" class="form__field" formControlName="km3" name="km3" value="{{user.km3}}" />
        <mat-divider></mat-divider>
      </div>
      <div class="form__container">
        <span class="form__libelle">Péage retour (€)</span>
        <input type="number" class="form__field" formControlName="peage_retour" name="peage_retour" value="{{user.peage_retour}}" />
        <mat-divider></mat-divider>
      </div>
      <div class="form__container">
        <span class="form__libelle">Kilométrage après covoit</span>
        <input type="number" class="form__field" formControlName="km4" name="km4" value="{{user.km4}}" />
      </div>
    </div>


  </form>

  <div class="form__container" style="margin-top: 20px; margin-bottom: 20px;">
    <span class="form__libelle">Mon taux de participation aux courses</span>
    <span class="form__field">{{user.taux_participation * 100}}%</span>
    <mat-divider></mat-divider>
  </div>

  <form class="formAchat" [formGroup]="generalForm" (ngSubmit)="submitProfil()">
    <button mat-button type="submit"
            style="background-color: #673ab7; color: white; padding: 10px;position: fixed; bottom: 0px; left: 0px; width: 100%"
            cdkFocusInitial>Mettre à jour mon profil entier
    </button>
  </form>

</ng-template>
